Analytics Over Time (Specific Site)
curl --request GET \
--url https://api.aimtell.com/prod/report/dashboard/{id} \
--header 'X-Authorization-Api-Key: <api-key>'import requests
url = "https://api.aimtell.com/prod/report/dashboard/{id}"
headers = {"X-Authorization-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization-Api-Key': '<api-key>'}};
fetch('https://api.aimtell.com/prod/report/dashboard/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"06/01/2020": 120,
"06/02/2020": 78,
"06/03/2020": 18,
"06/04/2020": 107,
"06/05/2020": 93,
"06/06/2020": 124,
"06/07/2020": 38,
"06/08/2020": 86,
"06/09/2020": 116,
"06/10/2020": 149,
"06/11/2020": 112,
"06/12/2020": 77,
"06/13/2020": 129,
"06/14/2020": 66,
"06/15/2020": 109,
"06/16/2020": 87
}{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Analytics
Analytics Over Time (Specific Site)
Shows a report of specific metrics over time.
GET
/
prod
/
report
/
dashboard
/
{id}
Analytics Over Time (Specific Site)
Authorizations
Path Parameters
Site ID
Query Parameters
Type of analytics data to retrieve
Available options:
newsubscribers, unsubscribes, notifications, notificationclicks, optin, inactive, revenue Format: yyyy-mm-dd (e.g. 2020-06-01)
Format: yyyy-mm-dd (e.g. 2020-06-16)
Response
200
Example:
120
Example:
78
Example:
18
Example:
107
Example:
93
Example:
124
Example:
38
Example:
86
Example:
116
Example:
149
Example:
112
Example:
77
Example:
129
Example:
66
Example:
109
Example:
87

